
Foreman - Feature #26362

Update fog-openstack to 1.0.8

03/14/2019 01:58 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Compute resources - OpenStack   

Target version:    

Difficulty: easy Fixed in Releases: 1.22.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6574

  

Description

This looks like a smooth upgrade, nothing major changed and everything seem to work. However, there is one slight detail -

fog-openstack URL is not versionless, therefore it must not contain any path part (/v2 or /v3) as the API code determines the version

from the other fields. This is the upstream change:

https://github.com/fog/fog-openstack/commit/bfb27375e5590e3f2a462c79a96a7b16ca0c421b

Keystone endpoints are version less. Version 3 is the default as v2.0 is deprecated. Meanwhile Keystone V3 still supports v2.0 for

backward compatibility. Therefore passing a tenant instead of a project (along with a domain) makes Keystone provide v2.0 token.

This does not work nicely with Foreman when Tenants are not known (before Load tenants button is pressed), therefore the easiest

solution is to enforce users to select V2 or V3. Instead adding new flag, I propose easier approach which will be also upgrade-friendly

- Compute Resource model now validates if URL contains /v2 or /v3 and this is used to pick either v2.0 or v3 protocol. Users already

have paths so this will work transparently for them.

Related issues:

Related to Foreman - Bug #25956: fog-libvirt 0.6 renames all modules/classes Closed

Related to Foreman - Bug #26971: unintialized Constant in app/models/compute_... Closed

Associated revisions

Revision c001dcca - 03/27/2019 12:55 PM - Lukas Zapletal

Fixes #26362 - update fog-openstack to 1.0.8 (#6574)

History

#1 - 03/14/2019 01:59 PM - Lukas Zapletal

- Related to Bug #25956: fog-libvirt 0.6 renames all modules/classes added

#2 - 03/14/2019 02:15 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6574 added

#3 - 03/27/2019 12:55 PM - Marek Hulán

- Fixed in Releases 1.22.0 added

#4 - 03/27/2019 01:02 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset c001dccadf9c8da1ee2883aebc5faca17d155618.

#5 - 06/10/2019 09:53 AM - Tomer Brisker

- Related to Bug #26971: unintialized Constant in app/models/compute_resources/foreman/model/openstack.rb added
